Plank.Paths – plank Reference Manual

# Paths

## Object Hierarchy:

## Description:

public class Paths : Object

A wrapper class that gives static instances of GLib.File for commonly used paths. Most paths are retrieved from GLib.Environment, which on Linux uses the XDG Base Directory specification (see http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html).

Initializing this class also ensures any writable directories exist.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public File AppCacheFolder { get; protected set; }
  defaults to CacheHomeFolder/app_name
- public File AppConfigFolder { get; protected set; }
  defaults to ConfigHomeFolder/app_name
- public File AppDataFolder { get; protected set; }
  defaults to DataHomeFolder/app_name
- public string AppName { get; protected set; }
  application name which got passed to initialize
- public File AppThemeFolder { get; protected set; }
  defaults to AppDataFolder/themes
- public File CacheHomeFolder { get; protected set; }
  HomeFolder/.cache
- public File ConfigHomeFolder { get; protected set; }
  HomeFolder/.config
- public ArrayList<File> DataDirFolders { get; protected set; }
  /usr/local/share/:/usr/share/
- public File DataFolder { get; protected set; }
  Path passed in to initialize method should be Build.PKGDATADIR
- public File DataHomeFolder { get; protected set; }
  HomeFolder/.local/share
- public File HomeFolder { get; protected set; }
  User's home folder - $HOME
- public File ThemeFolder { get; protected set; }
  DataFolder/themes

### Static methods:

- public static bool ensure_directory_exists (File dir)
  Creates the directory if it does not already exist
- public static void initialize (string app_name, string data_folder)
  Initialize the class, creating the GLib.File instances for all common paths. Also ensure that any writable directory exists.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref